<template>
  <div v-if="sportBet.DisplayType == 1">
    {{ sportBetDetail.SportType }} {{ sportBetDetail.MarketType }}
    {{ sportBetDetail.BetOption }}
  </div>
  <div v-else-if="sportBet.DisplayType == 2">
    <span
      class="fc-hint"
      :class="themeName == 'peru' ? 'font-[400]' : 'font-black'"
      >{{ sportBetDetail.BetOption }}</span
    >
  </div>
  <div v-else>
    <div>
      <span
        class="fc-hint"
        :class="themeName == 'peru' ? 'font-[400]' : 'font-black'"
      >
        {{ getSelectedText() }}
        <span v-if="isSabaSport"
          >@ {{ sportBetDetail.HandicapPointForDisplay }}</span
        >
        <template
          v-if="
            !isSabaSport &&
            Object.values(EnumSportShowMarketType).includes(
              sportBetDetail.BetType
            )
          "
          >{{ sportBetDetail.HandicapPointForDisplay }}</template
        >
      </span>
      @ {{ sportBetDetail.SubBetOddsForDisplay }}
    </div>
    <div>{{ sportBetDetail.CustomizedBetType }}</div>
    <div>
      {{ sportBetDetail.MarketTypeForDisplay }}
      <span v-if="sportBet.IsLiveBet"
        >@Live
        <template v-if="[1, 7].includes(sportBetDetail.BetType)">{{
          sportBetDetail.LiveScore
        }}</template></span
      >
    </div>
    <div>
      {{ sportBetDetail.Match }}
    </div>
    <div>{{ sportBetDetail.League }} @ {{ sportBetDetail.WinLoseDate }}</div>
  </div>
</template>
<script lang="ts">
import { SportBet, SportBetDetail } from "@/models/sportbet/sportbet";
import { store } from "~~/store";
import { useSportBetHistory } from "~~/composables/useSportBetHistory";
import { EnumSportShowMarketType } from "~~/models/enums/enumSport";
import { store } from "~~/store";

export default defineComponent({
  name: "SportBetSelection",
  props: {
    IsLiveBet: {
      type: Boolean,
      default: false,
    },
    sportBet: {
      type: Object as PropType<SportBet>,
      required: true,
    },
    sportBetDetail: {
      type: Object as PropType<SportBetDetail>,
      required: true,
    },
  },
  setup(props) {
    const { getSelectedText } = useSportBetHistory(props);
    const isSabaSport = computed(
      () =>
        props.sportBet.GameProviderName?.toUpperCase() === "SABA" &&
        props.sportBetDetail.SportType?.toUpperCase() === "SOCCER"
    );
    const themeName = store.state.selectedThemeName;
    return {
      EnumSportShowMarketType,
      isSabaSport,
      themeName,
      getSelectedText,
    };
  },
});
</script>
